%define upstream_name    Padre-Plugin-Swarm
%define upstream_version 0.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Tree view panel of swarm resources
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Padre/%{upstream_name}-%{upstream_version}.tar.gz
# Update Makefile.PL to not use Module::Install::DSL CPAN RT#148300
Patch0:        Padre-Plugin-Swarm-0.2-Remove-using-of-MI-DSL.patch

BuildRequires: perl(inc::Module::Install)
#BuildRequires: x11-server-xvfb

BuildArch:  noarch

%description
This is Swarm!

Swarm is a Padre plugin for experimenting with remote inspection, peer
programming and collaborative editing functionality.

Within this plugin all rules are suspended. No security, no efficiency, no
scalability, no standards compliance, remote code execution, everything is
allowed. The only goal is things that work, and things that look shiny in a
demo :)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch -P0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#xvfb-run make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Jun 25 2024 daviddavid <daviddavid> 0.200.0-14.mga10
+ Revision: 2076647
- Update Makefile.PL to not use Module::Install::DSL

* Mon Mar 21 2022 umeabot <umeabot> 0.200.0-13.mga9
+ Revision: 1809976
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.200.0-12.mga8
+ Revision: 1505838
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.200.0-11.mga7
+ Revision: 1285480
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.200.0-10.mga7
+ Revision: 1166121
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.200.0-9.mga7
+ Revision: 1160655
- add BR on perl(inc::Module::Install::DSL)

* Thu May 12 2016 tv <tv> 0.200.0-8.mga6
+ Revision: 1013944
- use std build macros; prevent commented macros to break build

* Mon Feb 08 2016 umeabot <umeabot> 0.200.0-7.mga6
+ Revision: 949722
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.200.0-6.mga5
+ Revision: 790382
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-5.mga5
+ Revision: 743340
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-4.mga5
+ Revision: 685873
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.200.0-3.mga4
+ Revision: 513980
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 371452
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 08 2011 kharec <kharec> 0.200.0-1.mga2
+ Revision: 179253
- update to 0.2
+ jquelin <jquelin>
- update to 0.11

* Mon Feb 28 2011 jquelin <jquelin> 0.100.0-1.mga1
+ Revision: 61625
- update to 0.1

* Wed Jan 26 2011 jquelin <jquelin> 0.93.0-1.mga1
+ Revision: 40972
- skip tests
- mageia rebuild
- add missing buildrequires:
- mageia rebuild
- imported package perl-Padre-Plugin-Swarm

